from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("Fermigrid Workgroup Install")
#    pixmap = "server.png"
#    pixmap = "fermitux-farm.png"
    pixmap = "fermigrid.png"
    sortPriority = 25
    description = ("This will install the Fermigrid workgroup.")

    def setGroupSelection(self, grpset, intf):
	FermiInstallClass.setGroupSelection(self, grpset, intf)

        grpset.selectGroup("fermigrid")

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("makebootdisk")
	dispatch.skipStep("bootdisk")
	dispatch.skipStep("timezone")
